library(shiny)

shinyUI(fluidPage(

  titlePanel("Illustration of Various Sampling Methods"),

  sidebarLayout(
      sidebarPanel(
          HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),
          selectInput("which",HTML("<h4>Population</h4>"),
               choice=c("ACME","Undergraduates","Balls")),
          conditionalPanel( condition = "input.which == 'Balls'",
               selectInput("ngroups",HTML("<h4>How many groups?</h4>"),     
                  choice=2:5)),
          sliderInput("nsample",HTML("<h4>Sample Size</h4>"),
               min=10,max=30,value=20,step=1),
          selectInput("method",HTML("<h4>Sampling Method</h4>"),
              choice=c("Simple Random Sample","Stratified Sampling","Systematic Sampling","Cluster Sampling")),
          conditionalPanel( condition = "input.method == 'Stratified Sampling'",    
              sliderInput("step1","First Stratify!",min=0, max=10, value=0,step=1, 
                  animate=animationOptions(interval = 500))),        
          sliderInput("step2","Sample!",min=0, max=10, value=0,step=1, 
              animate=animationOptions(interval = 500)),                                
          uiOutput("appinfo"),width=4
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Illustration",  
              uiOutput("text2"),
              uiOutput("text1"),
              plotOutput("plot", width = "600px", height = "600px")),
          tabPanel("Real-life Story",
              uiOutput("story")
       )
      )      
    )
  ),
    
  uiOutput("explainText")    
))

